package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.DepartInfo;

/**
 * depart_info Dao接口
 * Thu Apr 26 10:56:37 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.izouma.awesomeadmin.dao.DepartInfoMapper")
public interface DepartInfoMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(DepartInfo record);

	DepartInfo selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(DepartInfo record);

	List <DepartInfo> queryAllDepartInfo(DepartInfo record);

	List <DepartInfo> queryDepartInfosByPage(Map <String, Object> parameter);

	int delete(String id);

	DepartInfo queryDepartInfo(DepartInfo record);

	List <DepartInfo> findPower(DepartInfo record);

	List <DepartInfo> getParentList(Integer id);

	List<DepartInfo> selectByPrimaryKeys(String ids);
}

